<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Opérateurs sur les entiers</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 $i=10;
 $j=3;
 echo 'valeur initiale de $i='.$i.WEB_EOL;
 echo 'valeur initiale de $j='.$j.WEB_EOL;
 $k=$i+$j ; // addition
 echo '$k=$i+$j : $k='.$k.WEB_EOL;
 $k=$i-$j ; // soustraction
 echo '$k=$i-$j : $k='.$k.WEB_EOL;
 $k=$i*$j ; // mutiplication
 echo '$k=$i*$j : $k='.$k.WEB_EOL;
 $k=$i/$j ; // division r&eacute;elle
 echo '$k=$i/$j (div r&eacute;elle) : $k='.$k.WEB_EOL;
 $k = ($i-($i%$j))/$j ; // division enti&egrave;re m&eacute;thode 1
 echo '$k=$i "DIV_ENTIERE" $j  (div enti&egrave;re -> m&eacute;thode MODULO : ($i-($i%$j))/$j)  : $k='.$k."  ";
 echo var_dump($k);
 echo WEB_EOL;
 $k=(int) floor($i/$j) ; // division enti&egrave;re m&eacute;thode 2
 echo '$k=$i "DIV_ENTIERE" $j  (div enti&egrave;re -> m&eacute;thode /      : (int) floor($i/$j): $k='.$k."  ";
 echo var_dump($k);
 echo WEB_EOL;
 $k=$i%$j ; // modulo
 echo '$k=$i%$j : $k='.$k.WEB_EOL;
 $j=$i++;
 echo '$j=$i++ : $j='.$j.'   $i='.$i.WEB_EOL;
 $j=++$i;
 echo '$j=++$i : $j='.$j.'   $i='.$i.WEB_EOL;
 $i+=2;
 echo '$i+=2 : $i='.$i.WEB_EOL;
 $i-=2;
 echo '$i-=2 : $i='.$i.WEB_EOL;
 $i*=2;
 echo '$i*=2 : $i='.$i.WEB_EOL;
 $i/=2;
 echo '$i/=2 : $i='.$i.WEB_EOL;
 var_dump($i);
 echo WEB_EOL;
 $i/=5;
 echo '$i/=5 : $i='.$i.WEB_EOL;
 var_dump($i);
 echo WEB_EOL;
 $j%=5;
 echo '$j%=5 : $j='.$j.WEB_EOL;
 var_dump($j);
 echo WEB_EOL;
 ?>
 </body>
</html>
